ServiceBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Class ServiceBinding<R extends Service>

    java.lang.Object
      org.hibernate.service.spi.ServiceBinding<R>

    public final class ServiceBinding<R extends Service>

extends Object

Models a binding for a particular service

Nested Class Summary
`static interface` | `ServiceBinding.ServiceLifecycleOwner`

Constructor Summary
`ServiceBinding(ServiceBinding.ServiceLifecycleOwner lifecycleOwner, Class<R> serviceRole, R service)`
`ServiceBinding(ServiceBinding.ServiceLifecycleOwner lifecycleOwner, ServiceInitiator<R> serviceInitiator)`

Method Summary
`ServiceBinding.ServiceLifecycleOwner` | `getLifecycleOwner()`
`R` | `getService()`
`ServiceInitiator<R>` | `getServiceInitiator()`
`Class<R>` | `getServiceRole()`
`void` | `setService(R service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBinding

    public ServiceBinding(ServiceBinding.ServiceLifecycleOwner lifecycleOwner,
                          Class<R> serviceRole,
                          R service)

### ServiceBinding

    public ServiceBinding(ServiceBinding.ServiceLifecycleOwner lifecycleOwner,
                          ServiceInitiator<R> serviceInitiator)

Method Detail

### getLifecycleOwner

    public ServiceBinding.ServiceLifecycleOwner getLifecycleOwner()

### getServiceRole

    public Class<R> getServiceRole()

### getServiceInitiator

    public ServiceInitiator<R> getServiceInitiator()

### getService

    public R getService()

### setService

    public void setService(R service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.